Package org.pushingpixels.flamingo.api.common.popup

# Class PopupPanelManager.PopupInfo

java.lang.Object
org.pushingpixels.flamingo.api.common.popup.PopupPanelManager.PopupInfo

Enclosing class:
  `PopupPanelManager`

public static class PopupPanelManager.PopupInfo extends Object
Information on a single showing popup.

## Constructor Summary

Constructors
Constructor
Description
`PopupInfo(JComponent popupOriginator, JPopupPanel popupPanel)`
Creates a new information object.

## Method Summary

Modifier and Type
Method
Description
`JComponent`
`getPopupOriginator()`
Returns the originating component.
`JPopupPanel`
`getPopupPanel()`
Returns the popup panel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PopupInfo

public PopupInfo(JComponent popupOriginator, JPopupPanel popupPanel)
Creates a new information object.

Parameters:
  `popupOriginator` - The originating component.
  `popupPanel` - The popup panel.

## Method Details

### getPopupPanel

public JPopupPanel getPopupPanel()
Returns the popup panel.

Returns:
  The popup panel.

### getPopupOriginator

public JComponent getPopupOriginator()
Returns the originating component.

Returns:
  The originating component.